//------------------------------------------------------------------------------------
// irr::scene::IParticleFadeOutAffector wrappers
//------------------------------------------------------------------------------------

extern "C" 
{

	void IrrScene_IParticleFadeOutAffector_setTargetColor( IParticleFadeOutAffector* pa, SColor* targetColor )
	{
		if (pa) {
			pa->setTargetColor(*targetColor);
		}
	}

	void IrrScene_IParticleFadeOutAffector_setFadeOutTime( IParticleFadeOutAffector* pa, f32 fadeOutTime )
	{
		if (pa) {
			pa->setFadeOutTime(fadeOutTime);
		}
	}

	// must delete
	SColor* IrrScene_IParticleFadeOutAffector_getTargetColor(IParticleFadeOutAffector* pa)
	{
		if (pa) {
			return new SColor(pa->getTargetColor());
		} else return 0;
	}

	f32 IrrScene_IParticleFadeOutAffector_getFadeOutTime(IParticleFadeOutAffector* pa)
	{
		if (pa) {
			return pa->getFadeOutTime();
		} else return 0.0;
	}
}

